$(MODULES_BASE_DIR)/basemods.bz2:
	-rm -r $(MODULES_BASE_DIR)/base
	mkdir $(MODULES_BASE_DIR)/base
	mkdir $(MODULES_BASE_DIR)/base/lib
	mkdir $(MODULES_BASE_DIR)/base/lib/modules
	mkdir $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)
	mkdir $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel
	mkdir $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net
	mkdir $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/drivers
	mkdir $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/bridge
	mkdir $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4

	#
	# modules.*
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/modules.* $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/.
	
	#
	# Netfilter.
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/netfilter $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/.
	# But not these:
	-( cd $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/netfilter ; rm ip_queue.o ipt_recent.o ip_conntrack_amanda.o ipt_owner.o ipt_IPMARK.o ipt_NETMAP.o ip_nat_amanda.o ipt_CLASSIFY.o ipt_MIRROR.o ipt_ROUTE.o ip_nat_cuseeme.o );
	
	#
	# ip_gre.o and ipip.o has been with us for long time, 
	# let's keep them for now.
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/*.o $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/.

	#
	# Bridging:
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/bridge/bridge.o $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/net/bridge/.

	#
	# PnP
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/pnp $(MODULES_BASE_DIR)/base/lib/modules/$(LINUX_VERSION)/kernel/drivers/.
	
	( cd $(MODULES_BASE_DIR)/base; tar -cpvf ../base.tar *; )
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/base.tar
	mv $(MODULES_BASE_DIR)/base.tar.bz2 $(MODULES_BASE_DIR)/basemods.bz2

basemods: $(MODULES_BASE_DIR)/basemods.bz2

basemods-clean:
	-rm -f $(MODULES_BASE_DIR)/basemods.bz2
