#!/bin/sh

. /etc/config

[ "$DNSMASQ" = y ] || [ "$DHCP_DAEMON" = y ] && {
	# Find out if dnsmasq is running
	p=`pidof dnsmasq`

	# Stop it
	[ $p ] && {
		kill -HUP $p
		pf=/var/run/dnsmasq.pid
		[ -f $pf ] && rm -f $pf
	}
}
